# Function insert

- insert(tbl, obj, opts?): Promise<string | void>

- Insert rows into table

  #### Parameters

  - ##### tbl: string

    table name

  - ##### obj: Row

    columns names and data

  - ##### `Optional` opts: {
    ignoreExisting?: boolean;
    noid?: boolean;
    } = {}

    - ##### `Optional` ignoreExisting?: boolean

    - ##### `Optional` noid?: boolean

  #### Returns Promise<string | void>

  returns id.

  #### Function

  - Defined in sqlite/sqlite.ts:298

Generated using TypeDoc